# class Puppet::Indirector::FileMetadata::File

### Public Instance Methods

find(request) click to toggle source
Calls superclass method Puppet::Indirector::DirectFileServer#find

    # File lib/puppet/indirector/file_metadata/file.rb, line 8
    def find(request)
      return unless data = super
      data.collect

      data
    end

search(request) click to toggle source
Calls superclass method Puppet::Indirector::DirectFileServer#search

    # File lib/puppet/indirector/file_metadata/file.rb, line 15
    def search(request)
      return unless result = super

      result.each { |instance| instance.collect }

      result
    end